/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "gp-tourn.h"

FD_Tourn *create_form_Tourn(void)
{
  FL_OBJECT *obj;
  FD_Tourn *fdui = (FD_Tourn *) fl_calloc(1, sizeof(*fdui));

  fdui->Tourn = fl_bgn_form(FL_NO_BOX, 540, 340);
  obj = fl_add_box(FL_FLAT_BOX,0,0,540,340,"");
  fdui->Gen_Number = obj = fl_add_text(FL_NORMAL_TEXT,300,170,70,20,"0/0");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,170,170,130,20,"Generation Number:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Ind_Number = obj = fl_add_text(FL_NORMAL_TEXT,300,190,70,20,"999/~999");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,170,190,130,20,"Comparison Number:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,520,50,"GP-Music Comparator");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_North);
  fdui->Next_Comp_Button = obj = fl_add_button(FL_NORMAL_BUTTON,80,290,160,30,"Next Comparison");
    fl_set_button_shortcut(obj,"Cc",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Exit_Button = obj = fl_add_button(FL_NORMAL_BUTTON,300,290,160,30,"Exit");
    fl_set_button_shortcut(obj,"xX",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Play_Button_2 = obj = fl_add_button(FL_NORMAL_BUTTON,380,170,110,40,"Play Melody 2");
    fl_set_button_shortcut(obj,"2",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,2);
  fdui->Play_Button_1 = obj = fl_add_button(FL_NORMAL_BUTTON,50,170,110,40,"Play Melody 1");
    fl_set_button_shortcut(obj,"1",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,2);
  fdui->Ind_Rater = obj = fl_add_slider(FL_HOR_NICE_SLIDER,150,250,240,20,"");
    fl_set_object_callback(obj,dummy,0);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_bounds(obj, -2, 2);
    fl_set_slider_value(obj, 0);
     fl_set_slider_return(obj, FL_RETURN_END);
     fl_set_slider_step(obj, 1); /* manually added */
     obj = fl_add_text(FL_NORMAL_TEXT,70,250,80,20,"Song 1 Better");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,230,520,20,"Songs Equal");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,390,250,80,20,"Song 2 Better");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->Inc_Button = obj = fl_add_button(FL_HIDDEN_BUTTON,180,0,10,10,"");
    fl_set_button_shortcut(obj,"&C",1);
    fl_set_object_callback(obj,delta_tourn_rater,1);
  fdui->Dec_Button = obj = fl_add_button(FL_HIDDEN_BUTTON,110,0,10,10,"");
    fl_set_button_shortcut(obj,"&D",1);
    fl_set_object_callback(obj,delta_tourn_rater,-1);
  fdui->Song1_Browser = obj = fl_add_browser(FL_NORMAL_BROWSER,10,80,250,70,"Melody 1:");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
/* added manually */
    fl_set_browser_fontsize(obj, FL_SMALL_SIZE);
    fl_set_browser_fontstyle(obj, FL_FIXED_STYLE);
    /* end of manual add */
  fdui->Song2_Browser = obj = fl_add_browser(FL_NORMAL_BROWSER,280,80,250,70,"Melody 2:");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_RIGHT);
/* added manually */
    fl_set_browser_fontsize(obj, FL_SMALL_SIZE);
    fl_set_browser_fontstyle(obj, FL_FIXED_STYLE);
    /* end of manual add */
  fl_end_form();

  fdui->Tourn->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

