/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "gp-list.h"

FD_List *create_form_List(void)
{
  FL_OBJECT *obj;
  FD_List *fdui = (FD_List *) fl_calloc(1, sizeof(*fdui));

  fdui->List = fl_bgn_form(FL_NO_BOX, 520, 370);
  obj = fl_add_box(FL_FLAT_BOX,0,0,520,370,"");
  obj = fl_add_box(FL_FRAME_BOX,210,130,300,190,"Current Melody Information");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,500,50,"GP-Music Generation Rater");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_EMBOSSED_STYLE);
  fdui->Indiv_Browser = obj = fl_add_browser(FL_HOLD_BROWSER,10,80,190,240,"Current Individuals:");
    fl_set_object_color(obj,FL_COL1,FL_SLATEBLUE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,ind_selected,0);
  fdui->Ind_Rate_Slider = obj = fl_add_valslider(FL_HOR_FILL_SLIDER,220,250,280,20,"Individual Rating:");
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,ind_rater,0);
    fl_set_slider_value(obj, 1.00);
    /* Added Manually */
    fl_set_slider_bounds(obj, 1, 100);
    fl_set_slider_step(obj, 1.0);
    fl_set_slider_precision(obj, 0);
      fl_set_slider_return(obj, FL_RETURN_END);
  /* End of Manual Add */
      fdui->Play_Button = obj = fl_add_button(FL_NORMAL_BUTTON,310,280,100,30,"Play Melody");
    fl_set_button_shortcut(obj,"Mm ",1);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,1);
  obj = fl_add_box(FL_FRAME_BOX,210,80,210,20,"Generation Number:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Gen_Number = obj = fl_add_box(FL_FRAME_BOX,420,80,90,20,"600/600");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_box(FL_FRAME_BOX,210,100,210,20,"Individual Number:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Ind_Number = obj = fl_add_box(FL_FRAME_BOX,420,100,90,20,"600/600");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Next_Gen_Button = obj = fl_add_button(FL_NORMAL_BUTTON,110,330,130,30,"Next Generation");
      fl_set_button_shortcut(obj,"Gg",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Exit_Button = obj = fl_add_button(FL_NORMAL_BUTTON,280,330,130,30,"Exit");
    fl_set_button_shortcut(obj,"xX",1);
  fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Seq_Text = obj = fl_add_browser(FL_NORMAL_BROWSER,220,170,280,60,"Melody Sequence:");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_browser_fontsize(obj, FL_NORMAL_SIZE);
    fl_set_browser_fontstyle(obj, FL_FIXED_STYLE);
  fdui->Prev_Button = obj = fl_add_button(FL_NORMAL_BUTTON,220,280,80,30,"<< Prev <<");
    fl_set_button_shortcut(obj,"Pp&A",1);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,delta_select_ind,-1);
  fdui->Next_Button = obj = fl_add_button(FL_NORMAL_BUTTON,420,280,80,30,">> Next >>");
   fl_set_button_shortcut(obj,"Nn&B",1);
   fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,delta_select_ind,1);
      fdui->Inc_Rater = obj = fl_add_button(FL_HIDDEN_BUTTON,360,140,20,20,"+");
    fl_set_button_shortcut(obj,"&C.",1);
    fl_set_object_callback(obj,delta_rater,1);
  fdui->Dec_Rater = obj = fl_add_button(FL_HIDDEN_BUTTON,400,140,20,20,"-");
    fl_set_button_shortcut(obj,"&D,",1);
    fl_set_object_callback(obj,delta_rater,-1);

    fl_end_form();

  fdui->List->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

