/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "gp-form.h"

FD_Main *create_form_Main(void)
{
  FL_OBJECT *obj;
  FD_Main *fdui = (FD_Main *) fl_calloc(1, sizeof(*fdui));

  fdui->Main = fl_bgn_form(FL_NO_BOX, 320, 230);
  obj = fl_add_box(FL_FLAT_BOX,0,0,320,230,"");
  obj = fl_add_box(FL_FRAME_BOX,10,120,300,60,"");
  fdui->Gen_Number = obj = fl_add_text(FL_NORMAL_TEXT,120,70,80,20,"0/0");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,70,110,20,"Generation Number:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Ind_Number = obj = fl_add_text(FL_NORMAL_TEXT,120,90,80,20,"0/0");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,90,110,20,"Individual Number:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,300,50,"GP-Music");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_North);
  fdui->Ind_Rate_Slider = obj = fl_add_valslider(FL_HOR_FILL_SLIDER,20,150,\
						 280,20,"Individual Rating:");
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    /* added manually */
    fl_set_slider_bounds(obj, 1, 100);
    fl_set_slider_step(obj, 1.0);
    fl_set_slider_precision(obj, 0);
    /* end of manual add */
  fdui->Play_Button = obj = fl_add_button(FL_NORMAL_BUTTON,210,70,90,40,"Play");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,0);
  fdui->Next_Song_Button = obj = fl_add_button(FL_NORMAL_BUTTON,40,190,110,30,"Next Song");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Exit_Button = obj = fl_add_button(FL_NORMAL_BUTTON,170,190,110,30,"Exit");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->Main->fdui = fdui;

  return fdui;
}

/*---------------------------------------*/
FD_List *create_form_List(void)
{
  FL_OBJECT *obj;
  FD_List *fdui = (FD_List *) fl_calloc(1, sizeof(*fdui));

  fdui->List = fl_bgn_form(FL_NO_BOX, 520, 370);
  obj = fl_add_box(FL_FLAT_BOX,0,0,520,370,"");
  obj = fl_add_box(FL_FRAME_BOX,210,130,300,190,"Current Melody Information");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,500,50,"GP-Music Generation Rater");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_EMBOSSED_STYLE);
  fdui->Indiv_Browser = obj = fl_add_browser(FL_HOLD_BROWSER,10,80,190,240,"Current Individuals:");
    fl_set_object_color(obj,FL_COL1,FL_SLATEBLUE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,ind_selected,0);
  fdui->Ind_Rate_Slider = obj = fl_add_valslider(FL_HOR_FILL_SLIDER,220,250,280,20,"Individual Rating:");
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,ind_rater,0);
    fl_set_slider_value(obj, 1.00);
    /* Added Manually */
    fl_set_slider_bounds(obj, 1, 100);
    fl_set_slider_step(obj, 1.0);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_return(obj, FL_RETURN_END);
    /* End of Manual Add */
    fdui->Play_Button = obj = fl_add_button(FL_NORMAL_BUTTON,310,280,100,30,"Play Melody");
    fl_set_button_shortcut(obj,"Mm ",1);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,1);
  obj = fl_add_box(FL_FRAME_BOX,210,80,210,20,"Generation Number:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Gen_Number = obj = fl_add_box(FL_FRAME_BOX,420,80,90,20,"600/600");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_box(FL_FRAME_BOX,210,100,210,20,"Individual Number:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Ind_Number = obj = fl_add_box(FL_FRAME_BOX,420,100,90,20,"600/600");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Next_Gen_Button = obj = fl_add_button(FL_NORMAL_BUTTON,110,330,130,30,"Next Generation");
      fl_set_button_shortcut(obj,"Gg",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Exit_Button = obj = fl_add_button(FL_NORMAL_BUTTON,280,330,130,30,"Exit");
    fl_set_button_shortcut(obj,"xX",1);
  fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Seq_Text = obj = fl_add_browser(FL_NORMAL_BROWSER,220,170,280,60,"Melody Sequence:");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_browser_fontsize(obj, FL_NORMAL_SIZE);
    fl_set_browser_fontstyle(obj, FL_FIXED_STYLE);
  fdui->Prev_Button = obj = fl_add_button(FL_NORMAL_BUTTON,220,280,80,30,"<< Prev <<");
    fl_set_button_shortcut(obj,"Pp&A",1);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,delta_select_ind,-1);
  fdui->Next_Button = obj = fl_add_button(FL_NORMAL_BUTTON,420,280,80,30,">> Next >>");
   fl_set_button_shortcut(obj,"Nn&B",1);
   fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,delta_select_ind,1);
      fdui->Inc_Rater = obj = fl_add_button(FL_HIDDEN_BUTTON,360,140,20,20,"+");
    fl_set_button_shortcut(obj,"&C.",1);
    fl_set_object_callback(obj,delta_rater,1);
  fdui->Dec_Rater = obj = fl_add_button(FL_HIDDEN_BUTTON,400,140,20,20,"-");
    fl_set_button_shortcut(obj,"&D,",1);
    fl_set_object_callback(obj,delta_rater,-1);

    fl_end_form();

  fdui->List->fdui = fdui;

  return fdui;
}


FD_Tourn *create_form_Tourn(void)
{
  FL_OBJECT *obj;
  FD_Tourn *fdui = (FD_Tourn *) fl_calloc(1, sizeof(*fdui));

  fdui->Tourn = fl_bgn_form(FL_NO_BOX, 540, 340);
  obj = fl_add_box(FL_FLAT_BOX,0,0,540,340,"");
  fdui->Gen_Number = obj = fl_add_text(FL_NORMAL_TEXT,300,170,70,20,"0/0");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,170,170,130,20,"Generation Number:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Ind_Number = obj = fl_add_text(FL_NORMAL_TEXT,300,190,70,20,"999/~999");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,170,190,130,20,"Comparison Number:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,520,50,"GP-Music Comparator");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_gravity(obj, FL_North, FL_North);
  fdui->Next_Comp_Button = obj = fl_add_button(FL_NORMAL_BUTTON,80,290,160,30,"Next Comparison");
    fl_set_button_shortcut(obj,"Cc",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Exit_Button = obj = fl_add_button(FL_NORMAL_BUTTON,300,290,160,30,"Exit");
    fl_set_button_shortcut(obj,"xX",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Play_Button_2 = obj = fl_add_button(FL_NORMAL_BUTTON,380,170,110,40,"Play Melody 2");
    fl_set_button_shortcut(obj,"2",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,2);
  fdui->Play_Button_1 = obj = fl_add_button(FL_NORMAL_BUTTON,50,170,110,40,"Play Melody 1");
    fl_set_button_shortcut(obj,"1",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_indiv,2);
  fdui->Ind_Rater = obj = fl_add_slider(FL_HOR_NICE_SLIDER,150,250,240,20,"");
    fl_set_object_callback(obj,dummy,0);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_bounds(obj, -2, 2);
    fl_set_slider_value(obj, 0);
     fl_set_slider_return(obj, FL_RETURN_END);
     fl_set_slider_step(obj, 1); /* manually added */
     obj = fl_add_text(FL_NORMAL_TEXT,70,250,80,20,"Song 1 Better");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,10,230,520,20,"Songs Equal");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,390,250,80,20,"Song 2 Better");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->Inc_Button = obj = fl_add_button(FL_HIDDEN_BUTTON,180,0,10,10,"");
    fl_set_button_shortcut(obj,"&C",1);
    fl_set_object_callback(obj,delta_tourn_rater,1);
  fdui->Dec_Button = obj = fl_add_button(FL_HIDDEN_BUTTON,110,0,10,10,"");
    fl_set_button_shortcut(obj,"&D",1);
    fl_set_object_callback(obj,delta_tourn_rater,-1);
  fdui->Song1_Browser = obj = fl_add_browser(FL_NORMAL_BROWSER,10,80,250,70,"Melody 1:");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
/* added manually */
    fl_set_browser_fontsize(obj, FL_SMALL_SIZE);
    fl_set_browser_fontstyle(obj, FL_FIXED_STYLE);
    /* end of manual add */
  fdui->Song2_Browser = obj = fl_add_browser(FL_NORMAL_BROWSER,280,80,250,70,"Melody 2:");
    fl_set_object_lalign(obj,FL_ALIGN_TOP_RIGHT);
/* added manually */
    fl_set_browser_fontsize(obj, FL_SMALL_SIZE);
    fl_set_browser_fontstyle(obj, FL_FIXED_STYLE);
    /* end of manual add */
  fl_end_form();

  fdui->Tourn->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

